#ifndef TIPS_2003_H
#define TIPS_2003_H

double AtoB(const double aa,const double *A,const double *B,const size_t npt) ;

double qt_h2O(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_co2(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_o3(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_n2o(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_co(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_ch4(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_o2(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_no(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_so2(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_no2(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_nh3(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_hno3(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_oh(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_hf(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_hcl(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_hbr(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_hi(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_clo(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_ocs(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_h2co(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_hocl(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_n2(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_hcn(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_ch3cl(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_h2o2(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_c2h2(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_c2h6(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_ph3(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_cof2(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_sf6(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_h2s(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_hcooh(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_ho2(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_o(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_clono2(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_nop(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_hobr(const double T, const int iso, const double *Tdat, int *gsi) ;

double qt_c2h4(const double T, const int iso, const double *Tdat, int *gsi) ;

double bd_tips_2003(const int mol, const double temp, const int iso, int * gi) ;

#endif /* TIPS_2003_H */
